Tổng quan khóa
| Phiên bản khóa | V3 |
|---|---|
| Đặc tả | RFC 1991 · RFC 2440 · RFC 4880 |
| Trạng thái | Lỗi thời — dạng cũ, chỉ giữ lại để tương thích với hệ thống lịch sử |
| Khóa chính (chứng nhận, ký) | RSA 1024 · ID 1 |
| Khóa con mã hóa | Không có: khóa phiên bản 2 và 3 không có khóa con, khóa RSA chính cũng dùng để mã hóa (C/S/E được suy ra từ thuật toán) |
| Dấu vân tay | 8C82CFA8E8957EA451848A6948E37C72 |
| Cụm mật khẩu của khóa riêng tư | synthetic-key-password |
Thuật toán và công dụng
RSA 1024: RSA với mô-đun dài 1024 bit, hiện được coi là có thể phá vỡ. Chỉ giữ lại để tương thích với hệ thống lịch sử; GnuPG chấp nhận, nhưng Sequoia và công cụ dựa trên rPGP từ chối khóa dưới 2048 bit, máy chủ khóa keys2 cũng vậy.
Khóa công khai
Khóa công khai cùng ID người dùng và chữ ký tự chứng thực. Khóa phiên bản 2 và 3 không có khóa con: cùng một khóa RSA được dùng để xác minh chữ ký và mã hóa dữ liệu gửi đến danh tính thử nghiệm này.
Tải xuống → 522 byte
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecdGTcB
AUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10Twfp
ei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgcgArp
UvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=d6DR
-----END PGP PUBLIC KEY BLOCK-----
Khóa riêng tư
Khóa riêng tư được bảo vệ bằng cụm mật khẩu hiển thị ở trên. Chỉ công bố để thử nghiệm: bất kỳ ai cũng có thể sử dụng.
Tải xuống → 983 byte
Hiển thị
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQHiA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAEBn9em93oQYcQEAEx48Hk8F2fl6Efnc1IHy9w0owGL/s5BJTh4bUASKniDUEmT
Z2xhzr8R0rdhOfcUBs7azdmQctj4O8lOUazK1g1mHzKY/BZXOjdIn/oeW0z+0Vmr
ddtMSh1L31Vr9Fc0xfH379CxySzG6jDPkdzhICwwUWKdunZ3FpCkMeTSJEiHAgA7
1tSD64MFBJSYJD6Lii870MUtp6ODC179LdsE+nz54lA7JjSRByl1fX43D4B1T+3z
jM+MsFrQOoNULYQf4Tc1AgCfOy4jZ46QTDVBFHPonKrWJJjz6PAsRDyknuVYKgqi
B64ZhOGlCSJ1SCAuxL5E1cwmRBZDZ8gJTXkfr1X6hMM1AgBYyBgNsMOHi4woPnVI
KTdpf9c+91YmycWbRmr8kbjPY0pIbkGZeKHDj52rsUi4LM2MHxdZkxvZhgFfNpnR
9SjtoOG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecd
GTcBAUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10
Twfpei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgc
gArpUvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=7ZMo
-----END PGP PRIVATE KEY BLOCK-----
Chứng chỉ thu hồi
Chứng chỉ báo khóa bị lộ được tạo sẵn, thuộc lớp chữ ký 0x20 do RFC 1991 định nghĩa (“This is my key, and I have revoked it”) và được PGP 2.6. triển khai. Khi nhập, khóa sẽ được đánh dấu là đã thu hồi.
Tải xuống → 725 byte
Hiển thị
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAGJAJUDBSBq95WuA37X/ecdGTcBAQKBA/938RSvUEr4RE3RH8V4mIdCNHVEXim2
v1vGCyWPFp+Re1xgnraxYCt/4bceqDjaof6N3hTraaoOd2cOP3ge39ewplNH2jl1
NaYjDLROBAGl1ZU8QTEwrsP0XRXEasYuy674fbt3TscZo+T4g+J58/1vzFeDh47T
E5TqXR7x9kFoDrQZQ0gtSiBtYXRyaXggNDEtdjMtcnNhMTAyNIkAlQMFEGr3la4D
ftf95x0ZNwEBQSwD/3gJS9wmN6+8SQIHNxlBfjMBFj4yHrFKZIlMFcsisYprMMU5
idZmrXRPB+l6LzmCV6J41Ctnu9sW+7f0jRvO2LFKhqgWd/vqh7/L05p6uDp5Sm+5
aqRt+ByACulS+nF4n9guvcqxruGdXNHxqvoO/Ktl7yAOrzSELJSdZf4z9KeZ
=qfgP
-----END PGP PUBLIC KEY BLOCK-----
Chữ ký của test_1MB.bin
Chữ ký tách rời ở dạng ASCII-armored của test_1MB.bin, được tạo bằng khóa này trong CH-J Tools. Lưu thành test_1MB.bin.asc cùng thư mục với tệp thử nghiệm.
Tải xuống → 273 byte
-----BEGIN PGP SIGNATURE-----
iQCVAwUAaveVrgN+1/3nHRk3AQEGewP/ck01xi+d+csd/k4uhv+Dj2n5FvCmjt3B
MaTtFXxc1wgqTLkeGTFlbjvBT1GqHF9JFhhVjV4ncksZdNvhD3DMzMVNzKLi+K1K
ewxkEdjvdYtaQl2nRS/oAZAH5wRSvZZI2YYxLSDpiP2yAwkLDEf+cddUoVdLOBWX
tcXeGQeIU5I=
=wikQ
-----END PGP SIGNATURE-----
Xác minh chữ ký
Khóa phiên bản 3 và 2 cần GnuPG 1.4 (gpg1) với MD5 được cho phép rõ ràng, hoặc PGP thời trước, hay CH-J Tools. Dùng GNUPGHOME tạm thời để khóa thử nghiệm không được đưa vào chùm khóa thực của bạn:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-41-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin